<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Term;

use Inti\Wp\Provider\Type\WpTypeInterface;
use Inti\Wp\Provider\Type\Post\Post;

/**
 * Class Category
 *
 * @package Inti\Wp\Provider\Type\Term
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
class Category extends AbstractTaxonomy
{
    public function getName(): string
    {
        return 'category';
    }

    public function isBuiltin(): bool
    {
        return true;
    }

    public function getAssociatedType(): WpTypeInterface
    {
        return Post::instance();
    }
}
